Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.Rhino3dmFile

    java.lang.Object
      igeo.io.IRhino3dm.Rhino3dmFile

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.Rhino3dmFile

extends java.lang.Object

Field Summary
`IRhino3dm.Bitmap[]` | `bitmaps`
`IRhino3dm.DimStyle[]` | `dimStyles`
`IRhino3dm.Font[]` | `fonts`
`IRhino3dm.Group[]` | `groups`
`IRhino3dm.HatchPattern[]` | `hatchPatterns`
`IRhino3dm.HistoryRecord[]` | `historyRecords`
`java.util.ArrayList<IMaterial>` | `imaterials`
`IRhino3dm.InstanceDefinition[]` | `instanceDefinitions`
`IRhino3dm.Layer[]` | `layers`
`IRhino3dm.Light[]` | `lights`
`IRhino3dm.Linetype[]` | `linetypes`
`java.util.ArrayList<IRhino3dm.Material>` | `materials`
`int` | `openNurbsVersion`
`IRhino3dm.Properties` | `properties`
`IRhino3dm.RhinoObject[]` | `rhinoObjects`
`IServerI` | `server`
`IRhino3dm.Settings` | `settings`
`IRhino3dm.StartSection` | `startSection`
`IRhino3dm.TextureMapping[]` | `textureMappings`
`IRhino3dm.UserData[]` | `userData`
`int` | `version`

Constructor Summary
`IRhino3dm.Rhino3dmFile()`
`IRhino3dm.Rhino3dmFile(int ver, int openNurbsVer, IServerI serv)`

Method Summary
`void` | `setServer(IServerI srv)`
`int` | `sizeOfChunkLength()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public int version

### openNurbsVersion

    public int openNurbsVersion

### startSection

    public IRhino3dm.StartSection startSection

### properties

    public IRhino3dm.Properties properties

### settings

    public IRhino3dm.Settings settings

### bitmaps

    public IRhino3dm.Bitmap[] bitmaps

### textureMappings

    public IRhino3dm.TextureMapping[] textureMappings

### materials

    public java.util.ArrayList<IRhino3dm.Material> materials

### imaterials

    public java.util.ArrayList<IMaterial> imaterials

### linetypes

    public IRhino3dm.Linetype[] linetypes

### layers

    public IRhino3dm.Layer[] layers

### groups

    public IRhino3dm.Group[] groups

### fonts

    public IRhino3dm.Font[] fonts

### dimStyles

    public IRhino3dm.DimStyle[] dimStyles

### lights

    public IRhino3dm.Light[] lights

### hatchPatterns

    public IRhino3dm.HatchPattern[] hatchPatterns

### instanceDefinitions

    public IRhino3dm.InstanceDefinition[] instanceDefinitions

### rhinoObjects

    public IRhino3dm.RhinoObject[] rhinoObjects

### historyRecords

    public IRhino3dm.HistoryRecord[] historyRecords

### userData

    public IRhino3dm.UserData[] userData

### server

    public IServerI server

Constructor Detail

### IRhino3dm.Rhino3dmFile

    public IRhino3dm.Rhino3dmFile()

### IRhino3dm.Rhino3dmFile

    public IRhino3dm.Rhino3dmFile(int ver,
                                  int openNurbsVer,
                                  IServerI serv)

Method Detail

### setServer

    public void setServer(IServerI srv)

### sizeOfChunkLength

    public int sizeOfChunkLength()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD